Description

Currently only the rule Minimum password length is adjustable for internal authentication.

It would e very helpful to add further adjustable rules to allow only passwords with a high security.

(Currently we use LDAP authentication for our employees and internal authentication for external partners as a well working

differentiation.)

Related issues:

Is duplicate of Redmine - Feature #3155: Password policy and secure logon pro... New 2009-04-10

History

#1 - 2012-10-22 18:09 - Etienne Massip

- Category set to Accounts / authentication

#2 - 2012-10-27 09:16 - Jean-Philippe Lang

further adjustable rules

 Yes, could you list a few examples of the rules you expect?

#3 - 2012-10-28 16:38 - Anonymous

some suggestions for switchable / adjustable rules (additional to the length):

don't accept the name or parts of the name (switch)

don't accept sequenced numbers, letters or signs... (switch)

the password has to contain:

small letters (switch)

capitel letters (switch)

numbers (switch)

signs (switch)

maximum usability period (possible a information mail to the user regarding a due date is necessary) (adjustable value)

number of iterations to accept a recured password (adjustable value)

(responsible for completeness - maybe someone has better suggestions)

#4 - 2012-10-28 18:04 - Daniel Felix

Maybe some kind of "Password has to be different to the last x passwords". Something like in the Windows-Authentication, where users can't change

their password to some password used 12 changes before.

This could prevent some lazy people to change their outdated password "test" to "test1" and back again to "test".

#5 - 2013-04-19 17:52 - Anonymous

If possible to implement a tool like https://www.microsoft.com/en-gb/security/pc-security/password-checker.aspx... ;-) and a configuration field to set

the necessary level of the password.

#6 - 2015-01-20 21:56 - @ go2null

duplicate of #3155
https://www.microsoft.com/en-gb/security/pc-security/password-checker.aspx
#7 - 2015-01-21 06:47 - Mischa The Evil

- Is duplicate of Feature #3155: Password policy and secure logon procedure added

#8 - 2015-01-21 06:48 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

@ go2null wrote:

duplicate of #3155

 Indeed. Closing as such. Thanks for the ref.
